Plan to certify BC FIPS with Java 11

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Plan to certify BC FIPS with Java 11

abdulmuqsith
Hi David

What are the plans to certify BC FIPS library with Java 11 since Java 11 is
now GA.

Which versions would be cerfied?

Regards,
Imran



--
Sent from: http://bouncy-castle.1462172.n4.nabble.com/Bouncy-Castle-Dev-f1462173.html

Reply | Threaded
Open this post in threaded view
|

Re: Plan to certify BC FIPS with Java 11

David Hook-3

We're planning to certify the 1.0.2 release on Java 11.

Regards,

David

On 03/10/18 13:03, abdulmuqsith wrote:

> Hi David
>
> What are the plans to certify BC FIPS library with Java 11 since Java 11 is
> now GA.
>
> Which versions would be cerfied?
>
> Regards,
> Imran
>
>
>
> --
> Sent from: http://bouncy-castle.1462172.n4.nabble.com/Bouncy-Castle-Dev-f1462173.html
>
>


Reply | Threaded
Open this post in threaded view
|

Re: Plan to certify BC FIPS with Java 11

abdulmuqsith
Thank you David. Any tentative timeline for the release?



--
Sent from: http://bouncy-castle.1462172.n4.nabble.com/Bouncy-Castle-Dev-f1462173.html

Reply | Threaded
Open this post in threaded view
|

Re: Plan to certify BC FIPS with Java 11

David Hook-3

We're in the process of putting the submission together. You can follow
our progress on:

https://csrc.nist.gov/projects/cryptographic-module-validation-program/modules-in-process/iut-list

We've still got another list to move onto after the IUT one though.

Regards,

David

On 11/10/18 20:42, abdulmuqsith wrote:
> Thank you David. Any tentative timeline for the release?
>
>
>
> --
> Sent from: http://bouncy-castle.1462172.n4.nabble.com/Bouncy-Castle-Dev-f1462173.html
>
>


Reply | Threaded
Open this post in threaded view
|

Re: Plan to certify BC FIPS with Java 11

Junaid Ansari
Hi David,

I couldn't make much from IUT List link.

Any rough idea on when BC FIPS could be used with JDK 11? Is first quarter
of '19 a possible date?

Also is there a way/tweak/workaround available to use bc-fips-1.0.0 or
bc-fips-1.0.1 with JDK 11?

Thanks
Junaid



--
Sent from: http://bouncy-castle.1462172.n4.nabble.com/Bouncy-Castle-Dev-f1462173.html